db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DERBY-6513) Warnings when building 10.10 branch with Java 8
Date Wed, 19 Mar 2014 18:19:45 GMT

    [ https://issues.apache.org/jira/browse/DERBY-6513?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13940780#comment-13940780
] 

ASF subversion and git services commented on DERBY-6513:
--------------------------------------------------------

Commit 1579330 from [~rhillegas] in branch 'code/branches/10.10'
[ https://svn.apache.org/r1579330 ]

DERBY-6513: Suppress 10.10 build warnings about the coming deprecation of the 1.4 and 1.5
source and target levels; commit derby-6513-01-aa-suppressWarnings.diff.

> Warnings when building 10.10 branch with Java 8
> -----------------------------------------------
>
>                 Key: DERBY-6513
>                 URL: https://issues.apache.org/jira/browse/DERBY-6513
>             Project: Derby
>          Issue Type: Bug
>          Components: Build tools
>    Affects Versions: 10.10.1.4
>         Environment: java version "1.8.0"
> Java(TM) SE Runtime Environment (build 1.8.0-b128)
> Java HotSpot(TM) 64-Bit Server VM (build 25.0-b69, mixed mode)
> Mac OSX 10.7.5
>            Reporter: Rick Hillegas
>            Assignee: Rick Hillegas
>         Attachments: derby-6513-01-aa-suppressWarnings.diff
>
>
> When I build the 10.10 branch using JDK 8, I see the following warnings:
> {noformat}
>     [javac] warning: [options] source value 1.4 is obsolete and will be removed in a
future release
>     [javac] warning: [options] target value 1.4 is obsolete and will be removed in a
future release
>     [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
>     [javac] 3 warnings
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message